Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000104 [libFirm] optimisations feature N/A 2013-05-10 10:00 2016-01-03 03:28
Reporter Matze View Status public  
Assigned To Matze
Priority low Resolution fixed  
Status closed   Product Version
Summary 0000104: localopt: X + (signbit) --> X ^ signbit
Description We should implement this normalisation as a localopt rule.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000207)
Matze (administrator)
2014-02-14 17:39

I just investigated this and decided to normalize x^signbit => x+signbit as additions are usually better in the backend. The localopts won't get worse by this as the is_Eor_Add() predicate should catch the interesting cases.

In libfirm 4c9e21d14464e78795efc94bd1fa5d35c04107c3

- Issue History
Date Modified Username Field Change
2013-05-10 10:00 Matze New Issue
2014-02-14 17:39 Matze Note Added: 0000207
2014-02-14 17:39 Matze Assigned To => Matze
2014-02-14 17:39 Matze Status new => resolved
2014-02-14 17:39 Matze Resolution open => fixed
2016-01-03 03:28 Matze Status resolved => closed


Mantis 1.1.5[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker